#!/bin/sh

CheckNeedReload() {
	INDEX=1
	NITEMS=$((NITEM+1))
	while [ "${INDEX}" != "${NITEMS}" ]
	do
		eval "APP_NAME=\$APP_$INDEX"
		if [ "${APP_NAME}" == "SYNO.SDS.WebDAVServer.Instance" ]; then
			NEED_RELOAD=1
			break
		fi
		INDEX=$((INDEX + 1))
	done
}

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "WebDAVServer";
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--post)
		NEED_RELOAD=0

		if [ "0" != "${RESULT}" ]; then
			return
		fi

		CheckNeedReload

		if [ "1" = "${NEED_RELOAD}" ]; then
			/var/packages/WebDAVServer/target/scripts/synowebdavserver_httpd_control.sh reload
		fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
	esac

